package com.goafanti.expenseAccount.bo;

import com.goafanti.common.model.ExpenseAccount;
import com.goafanti.common.utils.Param;

import javax.validation.constraints.NotNull;


public class InputExpenseAccount extends ExpenseAccount {

    @NotNull
    @Param(name = "类型")
    private Integer type;

    private String startTimeStr;
    private String endTimeStr;
    private String reason;

    private Integer updateType;

    private String  realList;

    public String getRealList() {
        return realList;
    }

    public void setRealList(String realList) {
        this.realList = realList;
    }

    public Integer getUpdateType() {
        return updateType;
    }

    public void setUpdateType(Integer updateType) {
        this.updateType = updateType;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getStartTimeStr() {
        return startTimeStr;
    }

    public void setStartTimeStr(String startTimeStr) {
        this.startTimeStr = startTimeStr;
    }

    public String getEndTimeStr() {
        return endTimeStr;
    }

    public void setEndTimeStr(String endTimeStr) {
        this.endTimeStr = endTimeStr;
    }

    @Override
    public Integer getType() {
        return type;
    }

    @Override
    public void setType(Integer type) {
        this.type = type;
    }
}
